@font-face {
    font-family: 'Romain';
    src: url(EcritureA-Romain.otf)
  }

html {height: 100%;font-size: 0px;overflow: hidden;}

body {
    height: 100%;
    margin: 0;
    background-color: #062858;
    text-align: center;
    overflow: hidden;
    background-position: top;
    background-size: cover;

   /* display: flex;
    align-items: center;
    justify-content: center;*/

}

#milieu {
    height: calc(100% - 150px);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

#zone-droite {    
    height: 160px;
    width: 95%;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
    background: rgb(255, 226, 61);
    border-radius: 50px;
    border : 5px solid #ffaa00;
    transition: all linear 0.5s;
    text-align: center;
    position: relative;
 /*   align-items: center;
    justify-content: center; */
}

#droite {
    height: 10px;
    width: 90%;
    background: #000;
    position: absolute;
    top: 80px;
    left: 50%;
    transform: translateX(-50%);
}

#droite-debord {
    height: 10px;
    width: 110%;
    left: -5%;
    background: #000000;
    position: absolute;
}

#droite::before {
    content:'';
    height: 30px;
    width: 10px;
    background: #000000;
    position: absolute;
    top: -30px;
    left: 0px;
    transform: translateX(-50%);

}

#droite::after {
    content:'';
    height: 30px;
    width: 10px;
    background: #000000;
    position: absolute;
    top: -30px;
    right: 0px;
    transform: translateX(50%);

}

.etiquette {
    position: absolute;
    top: 20px;
    background-color: #fff;
    border: 1px black solid;
    min-width: 50px;
    min-height: 50px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 48px;
    border-radius: 50%;
    font-family: Romain;
    z-index: 5;
    line-height: 50px;    
}

#erreur {
    background-color: red;
}

#debut {
    left: 0px;
}

#fin {
    left: 100%;
}

#mobile {
    display: none;   
    z-index: 2;
    height: 75px;
    width: 60px;
    background: url(images/fleche.svg);
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    bottom: 10px;
    transform: translateX(-50%);
    z-index: 2;
    transition: left 1s ease; 
}

#clavier {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0px;
    padding: 10px;
    border-radius: 10px 10px 0px 0px;
    border: 1px solid black;
    border-bottom-width: 0px;
    width: 95%;
    background-color: aliceblue;
   /* display: flex;
    align-items: center;
    justify-content: space-between;*/
}

.touche {
    line-height: 50px;
    width: 8%;
    font-size: 64px;
    font-family: Romain;
    font-weight: bold;
    box-shadow: 3px 3px 1px gray;
    vertical-align: middle;
    margin: 1px;
}

.bouton {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
}

.bouton-haut {
    width: 50px;
    height: 50px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 90%;
    border-radius: 5px;
    margin-left: 5px;
    margin-right: 5px;
}

.actif {
    background-color: #6795ff;
}

#bouton-graduation {
    background-image: url(images/graduation.svg);
}

#bouton-graduations {
    background-image: url(images/graduations.svg);
}

#bouton-bloc {
    background-image: url(images/bloc.svg);
}

#bouton-menu {
    background-image: url(images/menu.svg);
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 100000;    
}

#bouton-stats {
    background-image: url(images/stats.svg);
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 100000;    
}


#haut {
    /*position: absolute;
    text-align: center;
    top: 10px;
    left: 10px;*/
    height: 50px;
    background-color: aliceblue;
    border : 1px #000 solid;
    border-radius: 0px 0px 15px 15px;
    border-top-width: 0px;    
    margin-bottom: 0px;
    display: inline-block;
    padding: 10px;

}

#zone-reponse {
    width : 95%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 10px;
}

#reponse {
    display: inline-block;
}


#nombre {    
    background-color: #fff;
    border-radius: 10px;
    min-width: 100px;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-family: Romain;
    font-size: 128px;
    display: inline-block;
    line-height: 80px;
    vertical-align: middle;
}



#ok {
    background-color: #fff;
    font-size: 36px;   
    margin-left: 10px;
    border-radius: 5px;
    color: green;
    vertical-align: middle;
}

#suivant {
    margin-left: 10px;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    vertical-align: middle;
    position: relative;
}

#info {
    margin-top: 15px;
    font-size: 18px;
}

#boutons-gauche {
  /*  position: absolute;
    left: 0px;
    top: 0px;*/
}

#boutons-gauche button, #boutons-droite button {
    font-size: 18px;
    margin-right: 10px;
    margin-bottom: 10px;
}

#boutons-droite {
 /*   position: absolute;
    right: 0px;
    top: 0px;*/

}


.graduation {
    height: 30px;
    width: 10px;
    background: #6a585855;
    position: absolute;
    top: -30px;
    transform: translateX(-50%);
    z-index: 1;
}


.hide {
    display: none;
}

.bloc-unite {
    position: absolute;
    top: -50px;
    height: 50px;
    background-color: rgba(4, 253, 0, 0.559);
    border: 1px solid #000;
    z-index: 20;
    cursor: grab;
}


#menu {
    position: absolute;
    top: 0px;
    width: 389px;
    padding: 5px 5px 5px 5px;
    min-height: 400px;
    background: #041832;
    border: none;
    z-index: 1000;
    border-radius: 0px 0px 15px 0px;
    transition: left 0.2s linear;
    color: #fff;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    box-shadow: 0px 0px 10px #ffffff;
}

#menu p {
    margin: 0px 0px 10px 0px;
    font-weight: bold;

}

#stats {
    position: absolute;
    overflow-y: hidden;
    top: 0px;
    width: 389px;
    padding: 5px 5px 5px 5px;
    height: calc(100% - 10px);
    background: #041832;
    border: none;
    z-index: 1000;
    border-radius: 0px 0px 0px 15px;
    transition: right 0.2s linear;
    color: #fff;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    box-shadow: 0px 0px 10px #ffffff;
}

#stats p {
    margin: 0px 0px 10px 0px;
    font-weight: bold;

}

#resultats {
    padding-top: 15px;
    height: calc(100% - 150px);
    overflow-y: scroll;
    text-align: left;
    border-bottom: 1px solid #fff;
}

.titre {
    padding: 5px 0px 5px 0px;
}

#titre-options, #titre-stats {
    height: 60px;
    margin: 0;
    font-size: 36px;
    line-height: 52px;
}


#bouton-ferme-menu {
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: 24px;    
}

#bouton-ferme-stats {
    position: absolute;
    bottom: 10px;
    left: 10px;
    font-size: 24px;    
}

#bouton-effacer-stats {
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: 24px; 
}

.choix-nombre {
    position: absolute;
    font-size: 24px;
    width: 2em;
    top: 15px;
    text-align: right;   
}

.choix-lock {
    position: absolute;
    font-size: 24px;
    top: 50px;
    text-align: left;
}

#choix-verr-a {
    left: 10%;
    transform: translate(-50%);
}

#choix-verr-b {
    right: 10%;
    transform: translate(50%);

}


#choix-a {
    left: 10%;
    transform: translateX(-50%);
}

#choix-b {
    right: 10%;
    transform: translateX(50%);
}

#consigne {        
    font-size: 18px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #fff;
    border-radius: 10px;
    display: none;
    padding: 10px;
    margin: 10px;
}

.section {
    border-top: 1px #fff solid;
}

#droite-menu {
    position: relative;
    background-color: #fff;
    height: 10px;
    width: 95%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 100px;
}

#droite-menu::before {
    content: '';
    background-color: #fff;
    position: absolute;
    height: 30px;
    width: 10px;
    left: 10%;
    top: -20px;
    transform: translateX(-50%);
}

#droite-menu::after {
    content: '';
    background-color: #fff;
    position: absolute;
    height: 30px;
    width: 10px;
    right: 10%;
    top: -20px;
    transform: translateX(50%);
}

.etiquette-stat {
    display: inline-block;
    background-color: #fff;
    border-radius: 50%;
    min-width: 2em;
    min-height: 2em;
    line-height: 2em;
    color: #000;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 90%;
    vertical-align: middle;
    margin-right: 5px;
    text-align: center;
}

.aide {
    background-color: #6795ff;
}

@media (orientation: portrait) {


    .touche {
        width: 16%;;
    }

    #milieu {
        border-radius: 20px;
    }

}

@media (max-height: 420px) {
    #zone-reponse {display: none;}
  }